Bug 115959 - subscript out of range
Summary: subscript out of range
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: parted (Show other bugs)
(Show other bugs)
Version: 1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-02-17 12:09 UTC by d.binderman
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-25 19:46:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description d.binderman 2004-02-17 12:09:50 UTC
Description of problem:

I just tried to compile package parted-1.6.3-31 from Fedora.

The compiler said

1.

disk_mips.c(452): warning #175: subscript out of range

The source code is

        vd->vd_name[VDNAMESIZE] = 0;

Might be better code

        vd->vd_name[VDNAMESIZE - 1] = 0;



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Jeremy Katz 2004-06-25 19:46:00 UTC
disk_mips.c is no longer included in the parted release.


Note You need to log in before you can comment on or make changes to this bug.